<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.ejb3.application-security-domain" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="enable-jacc,legacy-compliant-principal-propagation,security-domain"/>
        <elem name="addr-params" value="profile,subsystem,application-security-domain"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.ejb3"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.ejb3.application-security-domain.$application-security-domain"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.security.security-domain.$security-domain"/>
    </requires>
    <refs>
        <ref feature="subsystem.ejb3"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="application-security-domain" feature-id="true"/>
        <param name="security-domain" stability="default"/>
        <param name="subsystem" feature-id="true" default="ejb3"/>
        <param name="enable-jacc" nillable="true" stability="default"/>
        <param name="legacy-compliant-principal-propagation" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
    </params>
</feature-spec>